use sae_Esteban;


/*
alter table comisiones
drop constraint FK_COM_MAT

alter table comisiones
drop constraint FK_COM_CUR

alter table comisiones
drop constraint FK_COM_PROF;

alter table materias
drop constraint FK_MAT_CUR ;

alter table partidos
drop constraint FK_PART_PROV;

alter table alumnos
drop constraint FK_ALU_PART;

alter table alumnos
drop constraint FK_ALU_COM;

alter table profesores
drop constraint FK_PROF_PART;

alter table modulos
drop constraint FK_MOD_MAT;

*/


DROP TABLE IF EXISTS  cursos;

CREATE TABLE cursos (
  CUR_ID INTEGER NOT NULL PRIMARY KEY(CUR_ID) IDENTITY,
  CUR_ANIO INTEGER,
  CUR_DESCRIPCION VARCHAR(50) 
 ); 


DROP TABLE IF EXISTS materias;

 CREATE TABLE materias (
  MAT_ID INTEGER NOT NULL PRIMARY KEY(MAT_ID) IDENTITY,
  CUR_ID INTEGER NOT NULL CONSTRAINT FK_MAT_CUR FOREIGN KEY (CUR_ID) REFERENCES cursos (CUR_ID),
  MAT_NOMBRE varchar(50) NOT NULL
 );

drop table IF EXISTS provincias;

CREATE TABLE provincias(
  PROV_ID INTEGER NOT NULL PRIMARY KEY(PROV_ID) IDENTITY,
  PROV_NOMBRE VARCHAR(200)
  );

drop table IF EXISTS partidos;

CREATE TABLE partidos(
  PART_ID INTEGER NOT NULL PRIMARY KEY(PART_ID) IDENTITY,
  PROV_ID INTEGER NOT NULL CONSTRAINT FK_PART_PROV FOREIGN KEY(PROV_ID) REFERENCES provincias(PROV_ID),
  PART_NOMBRE varchar(50) NOT NULL
 );

DROP TABLE IF EXISTS profesores;

CREATE TABLE profesores (
  PROF_ID INTEGER NOT NULL PRIMARY KEY(PROF_ID) IDENTITY,
  PART_ID INTEGER NOT NULL CONSTRAINT FK_PROF_PART FOREIGN KEY (PART_ID) REFERENCES partidos(PART_ID),
  PROF_NOMBRE varchar(45) NOT NULL,
  PROF_APELLIDO varchar(45) NOT NULL,
  PROF_DIRECCION varchar(45) DEFAULT NULL,
  PROF_TELEFONO  varchar(45) DEFAULT NULL,
  PROF_DNI varchar(45) DEFAULT NULL,
  PROF_EMAIL varchar(45) DEFAULT NULL
  );

DROP TABLE IF EXISTS comisiones;

CREATE TABLE comisiones (
  COM_ID INTEGER NOT NULL PRIMARY KEY(COM_ID) IDENTITY,
  PROF_ID INTEGER NOT NULL CONSTRAINT FK_COM_PROF FOREIGN KEY (PROF_ID) REFERENCES profesores(PROF_ID),
  CUR_ID INTEGER NOT NULL CONSTRAINT FK_COM_CUR FOREIGN KEY (CUR_ID) REFERENCES cursos(CUR_ID),
  MAT_ID INTEGER NOT NULL CONSTRAINT FK_COM_MAT FOREIGN KEY (MAT_ID) REFERENCES materias(MAT_ID),
  COM_TURNO varchar(45) NOT NULL,
  COM_DIVISION varchar(45) NOT NULL  
);

drop table IF EXISTS alumnos;

CREATE TABLE alumnos(
	ALU_ID INTEGER NOT NULL PRIMARY KEY(ALU_ID) IDENTITY,
	PART_ID INTEGER NOT NULL CONSTRAINT FK_ALU_PART FOREIGN KEY (PART_ID) REFERENCES partidos(PART_ID),
	COM_ID INTEGER NOT NULL CONSTRAINT FK_ALU_COM FOREIGN KEY (COM_ID) REFERENCES comisiones(COM_ID),
	ALU_NOMBRE VARCHAR(50), 
	ALU_APELLIDO VARCHAR(50),
	ALU_DNI VARCHAR(50),
	ALU_TELEFONO VARCHAR(50),
	ALU_EMAIL VARCHAR(50)
);

DROP TABLE IF EXISTS modulos;

CREATE TABLE modulos (
  MOD_ID INTEGER NOT NULL PRIMARY KEY(MOD_ID) IDENTITY,
  MAT_ID INTEGER NOT NULL CONSTRAINT FK_MOD_MAT FOREIGN KEY (MAT_ID) REFERENCES materias(MAT_ID),
  MOD_DESCRIPCION varchar(45) NOT NULL
 );



